Marketing
Email campaigns, email templates, Google integrations, reports and sender profiles.
6 endpoints · base /api/v1/marketing
List email campaigns.
MCP tool:
marketing_list_email_campaignsScope: marketing.email_campaigns.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
page | int | query | no | — |
size | int | query | no | — |
status | string | query | no | — |
q | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/marketing/email-campaigns?page=1&size=20&status=...&q=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"subject": "string",
"previewText": "string",
"senderProfile": {
"id": null,
"fromName": null,
"fromEmail": null
},
"templateId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"audienceFilter": {
"logic": null,
"conditions": null
},
"abTestEnabled": false,
"abSubjectVariant": "string",
"abSplitPct": 0,
"status": "string",
"recipientCount": 0,
"scheduledAt": "2026-10-27T09:00:00+07:00",
"sentAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00",
"mergeTags": {},
"optimizeSendTime": false,
"sent": 0,
"delivered": 0,
"opensUnique": 0,
"clicksUnique": 0,
"excludeRecentDays": 0
}
],
"totalCount": 0,
"page": 0,
"pageSize": 0,
"totalPages": 0,
"hasNextPage": false,
"hasPreviousPage": false
}Details of one email campaign.
MCP tool:
marketing_get_email_campaignScope: marketing.email_campaigns.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
id | GUID | path | yes | — |
Example
curl https://api.nextx.vn/api/v1/marketing/email-campaigns/<id> \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"subject": "string",
"previewText": "string",
"senderProfile": {
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"fromName": "string",
"fromEmail": "string"
},
"templateId": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"audienceFilter": {
"logic": "string",
"conditions": [
{
"field": null,
"operator": null,
"value": null
}
]
},
"abTestEnabled": false,
"abSubjectVariant": "string",
"abSplitPct": 0,
"status": "string",
"recipientCount": 0,
"scheduledAt": "2026-10-27T09:00:00+07:00",
"sentAt": "2026-10-27T09:00:00+07:00",
"createdAt": "2026-10-27T09:00:00+07:00",
"updatedAt": "2026-10-27T09:00:00+07:00",
"mergeTags": {},
"optimizeSendTime": false,
"sent": 0,
"delivered": 0,
"opensUnique": 0,
"clicksUnique": 0,
"excludeRecentDays": 0
}List email templates.
MCP tool:
marketing_list_email_templatesScope: marketing.email_templates.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
page | int | query | no | — |
size | int | query | no | — |
category | string | query | no | — |
q | string | query | no | — |
Example
curl https://api.nextx.vn/api/v1/marketing/email-templates?page=1&size=20&category=...&q=... \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"items": [
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"name": "string",
"category": "string",
"isSystem": false,
"updatedAt": "2026-10-27T09:00:00+07:00",
"editorMode": "string",
"usedInCampaigns": 0
}
],
"totalCount": 0,
"page": 0,
"pageSize": 0,
"totalPages": 0,
"hasNextPage": false,
"hasPreviousPage": false
}List Google integrations (Analytics/Ads/Search Console).
MCP tool:
marketing_list_integrationsScope: marketing.integrations.viewUser OAuthAPI key / appParameter
No parameters.
Example
curl https://api.nextx.vn/api/v1/marketing/google-integrations \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
[
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"integrationType": "string",
"status": "string",
"googleAccountEmail": "string",
"scopes": [
"string"
],
"connectedAt": "2026-10-27T09:00:00+07:00",
"tokenExpiresAt": "2026-10-27T09:00:00+07:00",
"lastRefreshedAt": "2026-10-27T09:00:00+07:00",
"selectedResourceId": "string",
"selectedResourceName": "string"
}
]Marketing report overview for a date range.
MCP tool:
marketing_get_report_overviewScope: marketing.reports.viewUser OAuthAPI key / appParameter
| Parameter | Type | In | Required | Description |
|---|---|---|---|---|
from | date | query | no | YYYY-MM-DD |
to | date | query | no | YYYY-MM-DD |
Example
curl https://api.nextx.vn/api/v1/marketing/reports/overview?from=2026-06-01&to=2026-06-01 \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
{
"period": {
"from": "string",
"to": "string"
},
"kpis": {
"totalSent": 0,
"deliveredRate": 0,
"openRate": 0,
"clickRate": 0,
"conversionRate": 0,
"revenue": 0
},
"byDay": [
{
"date": "string",
"sent": 0,
"opens": 0,
"clicks": 0,
"conversions": 0
}
],
"byChannel": [
{
"channel": "string",
"sent": 0,
"openRate": 0,
"clickRate": 0,
"conversionRate": 0,
"delivered": 0,
"failed": 0,
"revenue": 0
}
]
}List sender profiles (sender info).
MCP tool:
marketing_list_sender_profilesScope: marketing.sender_profiles.viewUser OAuthAPI key / appParameter
No parameters.
Example
curl https://api.nextx.vn/api/v1/marketing/settings/sender-info \
-H "Authorization: Bearer <ACCESS_TOKEN>"Sample response
[
{
"id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"fromName": "string",
"fromEmail": "string",
"replyTo": "string",
"isDefault": false,
"isVerified": false,
"verifiedAt": "2026-10-27T09:00:00+07:00",
"dkimStatus": "string",
"spfStatus": "string",
"createdAt": "2026-10-27T09:00:00+07:00",
"brevoSenderId": 0,
"domain": "string",
"isFreemailDomain": false,
"dkimRecord": "string",
"dkimRecordHost": "string",
"spfRecord": "string"
}
]